


#include <stdio.h>

main(argc,argv)
int argc;
char **argv;
{
int filecount = 0;
int bytecount = 0;
int eofreached=0;
unsigned long filesize=0;
register i;

FILE *in;
FILE *out;
char outname[512];
char tmpname[512];
int c;

if( argc <2 ){
  printf("usage: %s amount file\nsplits a file into several parts of given size(in kilobytes)\n",argv[0]);
  exit(1);
}

if(( in = fopen(argv[2],"r"))==NULL){
  printf("%s: Can't open file '%s'\n",argv[0],argv[2]);
  exit(1);
}

filesize = atoi(argv[1]) * 1024;
printf("splitting file into parts of %ld bytes\n",filesize);

while(! eofreached ){
  /** build up output name **/

  for(i=0;argv[2][i] != '.' && argv[2][i] != '\0';i++);
  argv[2][i]=0;

  bytecount=0;
  sprintf(outname,"%s.%02d",argv[2],filecount);
  printf("dumping '%s'\n",outname);
  if(( out = fopen(outname,"w"))==NULL){
    printf("unexpected error during fopen\n");
    exit(1);
  }
  while( ! eofreached && bytecount < filesize ){
    if((c = fgetc(in)) == EOF){
      printf("EOF\n");
      eofreached = 1;
    } else {
      fputc(c,out);
      bytecount++;
    }
  }
  fclose(out);
  filecount++;
}

  fclose(in);
}

